# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.008.
use strict;
use warnings;

use 5.014;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Easy to use concurrency primitives inspired by Cilk",
  "AUTHOR" => "Jeff Ober <sysread\@fastmail.fm>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "IPC-Pleather",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.014",
  "NAME" => "IPC::Pleather",
  "PREREQ_PM" => {
    "AnyEvent" => "7.14",
    "Guard" => "1.023",
    "IPC::Semaphore" => 0,
    "IPC::SysV" => 0,
    "Keyword::Declare" => "0.001006"
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "Test" => 0,
    "Test2::Bundle::Extended" => 0,
    "Test::More" => 0,
    "Test::Pod" => 0
  },
  "VERSION" => "0.01",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "AnyEvent" => "7.14",
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "Guard" => "1.023",
  "IPC::Semaphore" => 0,
  "IPC::SysV" => 0,
  "Keyword::Declare" => "0.001006",
  "Test" => 0,
  "Test2::Bundle::Extended" => 0,
  "Test::More" => 0,
  "Test::Pod" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);